Subject: Re: Device Tree setup for 8272-based board

From: Scott Wood <[email-masked]>
Date: Tue, 23 Dec 2008 10:09:14 -0600

Daniel Ng wrote:
> Scott Wood <scottwood <at> freescale.com> writes:
>> cuboot-824x is for 8240, 8245, and similar chips.  You want cuboot-pq2.
> 
> Hi Scott et al,
> 
> I seem to get further with the cuboot-824x file- with the cuboot-pq2 file 

Nonetheless, cuboot-pq2 is the correct one.

> the boot sequence doesn't even reach the 'zImage starting' stage. The machine 
> reboots just before it should be printing out 'zImage starting'. 

What does it print before it reboots?  Try disabling the PCI and 
localbus setup.

> Is there a way I can get more detailed debug to see what's happening?

printf(). :-)

> Do settings from bd_info struct override the settings from the DTS file?

Yes.

> Also, a lot of the settings passed from u-boot in our 2.6.14 environment are 
> plain wrong eg. wrong memory, wrong processor speed. In this case, the correct 
> settings are set elsewhere (for memory, it is a kernel parameter ie. mem=32M, 
> and the processor speed is set in the 2.6.14 'make menuconfig'). Therefore, 
> the machine still boots into Linux correctly. For 2.6.27, would these 
> incorrect settings be causing my problems?

Yes, if u-boot is providing junk, then you'll probably want to hack up 
the wrapper to ignore it.  Or just upgrade u-boot to one that works. :-)

-Scott